## dino-im 0.3.1+git20221103.6e37f3f

=== debian/changelog ===
dino-im (0.3.1+git20221103.6e37f3f-1) experimental; urgency=medium

  * New snapshot, use libsoup3

 -- Martin <debacle@debian.org>  Fri, 04 Nov 2022 01:34:31 +0000

dino-im (0.3.0+git20221028.a2f2224-1) experimental; urgency=medium

  * New snapshot

 -- Martin <debacle@debian.org>  Mon, 31 Oct 2022 23:20:07 +0000

dino-im (0.3.0+git20221012.d4c6742-1) experimental; urgency=medium

  * New snapshot

 -- Martin <debacle@debian.org>  Wed, 19 Oct 2022 22:45:02 +0000

dino-im (0.3.0+git20221011.a45280f-1) experimental; urgency=medium

  * Removed libhandy support in favour of GTK4
  * Upstream snapshot (GTK4, message reactions)

  [Stefan Kropp]
  * added d/watch file

 -- Martin <debacle@debian.org>  Tue, 11 Oct 2022 22:17:37 +0000

=== debian/control ===
Source: dino-im
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders: Martin <debacle@debian.org>,
           Taowa <taowa@debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
	cmake,
	dh-exec,
	gettext,
	libgcrypt20-dev,
	libgee-0.8-dev,
	libglib2.0-dev,
	libgpgme-dev,
	libgspell-1-dev,
	libgstreamer-plugins-base1.0-dev,
	libgstreamer1.0-dev,
	libgtk-4-dev,
	libnice-dev,
	libnotify-dev,
	libqrencode-dev,
	libsignal-protocol-c-dev (>= 2.3.2~),
	libsoup-3.0-dev,
	libsqlite3-dev,
	libsrtp2-dev,
	libwebrtc-audio-processing-dev,
	ninja-build,
	valac,
Standards-Version: 4.1.4
Rules-Requires-Root: no
Homepage: https://github.com/dino/dino
Vcs-Browser: https://salsa.debian.org/xmpp-team/dino-im
Vcs-Git: https://salsa.debian.org/xmpp-team/dino-im.git

Package: dino-im
Architecture: any
Depends: ${misc:Depends},
	${shlibs:Depends},
	dino-im-common (= ${source:Version}),
	libgtk-4-media-gstreamer,
	libgstreamer-plugins-base1.0-0,
Recommends: ca-certificates,
	dbus,
	fonts-noto-color-emoji,
	network-manager
Breaks: dino-im-common (<< 0.1.0-5~)
Replaces: dino-im-common (<< 0.1.0-5~)
Description: modern XMPP client
 Dino is a modern XMPP/Jabber client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption
 and encrypted audio/video calls between two or more people.
 If you are looking for a Conversations look-alike, this
 program might be for you.

Package: dino-im-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: dino-im (<< 0.1.0-5~)
Description: modern XMPP client - common files
 Dino is a modern XMPP/Jabber client with a nice and clean look.
 It does support OMEMO and OpenPGP for end-to-end encryption
 and encrypted audio/video calls between two or more people.
 If you are looking for a Conversations look-alike, this
 program might be for you.
 .
 This package contains platform independent files.

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/dino/dino.git \
refs/tags/v([\d\.]+)

## dino-im 0.4.0

=== debian/changelog ===
dino-im (0.4.0-1) unstable; urgency=medium

  * New upstream release, now using GTK4 and libadwaita
    (providing limited mobile support, Closes: #1021684)
    Major new features: Message reactions and replies

 -- Martin <debacle@debian.org>  Tue, 07 Feb 2023 21:13:31 +0000

## dino-im 0.4.1

=== debian/changelog ===
dino-im (0.4.1-1) unstable; urgency=medium

  * Bug fix and maintenance release, no new features
  * Fix debian/watch

 -- Martin <debacle@debian.org>  Thu, 02 Mar 2023 07:17:50 +0000

## dino-im 0.4.2

=== main/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)

find_package(GTK4 REQUIRED)
find_packages(MAIN_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK4
    ICU
    Adwaita
)

set(RESOURCE_LIST
    dino-conversation-list-placeholder-arrow.svg

    icons/scalable/actions/dino-account-plus-symbolic.svg
    icons/scalable/actions/dino-emoticon-add-symbolic.svg
    icons/scalable/actions/dino-emoticon-symbolic.svg
    icons/scalable/actions/dino-qr-code-symbolic.svg

    icons/scalable/apps/im.dino.Dino.svg
    icons/scalable/apps/im.dino.Dino-symbolic.svg

    icons/scalable/devices/dino-device-desktop-symbolic.svg
    icons/scalable/devices/dino-device-phone-symbolic.svg
    icons/scalable/devices/dino-phone-hangup-symbolic.svg
    icons/scalable/devices/dino-phone-in-talk-symbolic.svg
    icons/scalable/devices/dino-phone-missed-symbolic.svg
    icons/scalable/devices/dino-phone-ring-symbolic.svg
    icons/scalable/devices/dino-phone-symbolic.svg

    icons/scalable/mimetypes/dino-file-document-symbolic.svg
    icons/scalable/mimetypes/dino-file-download-symbolic.svg
    icons/scalable/mimetypes/dino-file-image-symbolic.svg
    icons/scalable/mimetypes/dino-file-music-symbolic.svg
    icons/scalable/mimetypes/dino-file-symbolic.svg
    icons/scalable/mimetypes/dino-file-table-symbolic.svg
    icons/scalable/mimetypes/dino-file-video-symbolic.svg

    icons/scalable/status/dino-double-tick-symbolic.svg
    icons/scalable/status/dino-microphone-off-symbolic.svg
    icons/scalable/status/dino-microphone-symbolic.svg
    icons/scalable/status/dino-party-popper-symbolic.svg
    icons/scalable/status/dino-security-high-symbolic.svg
    icons/scalable/status/dino-status-away.svg
    icons/scalable/status/dino-status-chat.svg
    icons/scalable/status/dino-status-dnd.svg
    icons/scalable/status/dino-status-online.svg
    icons/scalable/status/dino-tick-symbolic.svg
    icons/scalable/status/dino-video-off-symbolic.svg
    icons/scalable/status/dino-video-symbolic.svg

    add_conversation/add_contact_dialog.ui
    add_conversation/add_groupchat_dialog.ui
    add_conversation/conference_details_fragment.ui
    add_conversation/list_row.ui
    add_conversation/select_jid_fragment.ui

    call_widget.ui
    chat_input.ui
    contact_details_dialog.ui
    conversation_item_widget.ui
    conversation_list_titlebar.ui
    conversation_list_titlebar_csd.ui
    conversation_row.ui
    conversation_view.ui
    file_default_widget.ui
    file_send_overlay.ui
    global_search.ui
    conversation_content_view/item_metadata_header.ui
    conversation_content_view/view.ui
    manage_accounts/account_row.ui
    manage_accounts/add_account_dialog.ui
    manage_accounts/dialog.ui
    menu_add.ui
    menu_app.ui
    menu_conversation.ui
    menu_encryption.ui
    message_item_widget_edit_mode.ui
    occupant_list.ui
    occupant_list_item.ui
    quote.ui
    search_autocomplete.ui
    settings_dialog.ui
    shortcuts.ui
    unified_main_content.ui
    unified_window_placeholder.ui

    style.css
    style-dark.css
)

compile_gresources(
    MAIN_GRESOURCES_TARGET
    MAIN_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

unset(MAIN_EXTRA_OPTIONS)
unset(MAIN_EXTRA_PACKAGES)
set(MAIN_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi)

set(MAIN_DEFINITIONS)
if(GTK4_VERSION VERSION_GREATER_EQUAL "4.6")
    set(MAIN_DEFINITIONS ${MAIN_DEFINITIONS} GTK_4_6)
endif()
if(GTK4_VERSION VERSION_GREATER_EQUAL "4.8")
    set(MAIN_DEFINITIONS ${MAIN_DEFINITIONS} GTK_4_8)
endif()
if(Adwaita_VERSION VERSION_GREATER_EQUAL "1.2")
    set(MAIN_DEFINITIONS ${MAIN_DEFINITIONS} Adw_1_2)
endif()

vala_precompile(MAIN_VALA_C
SOURCES
    src/main.vala

    src/ui/application.vala
    src/ui/avatar_drawer.vala
    src/ui/avatar_image.vala
    src/ui/conversation_list_titlebar.vala
    src/ui/conversation_view.vala
    src/ui/conversation_view_controller.vala
    src/ui/file_send_overlay.vala
    src/ui/global_search.vala
    src/ui/notifier_freedesktop.vala
    src/ui/notifier_gnotifications.vala
    src/ui/settings_dialog.vala
    src/ui/main_window.vala
    src/ui/main_window_controller.vala

    src/ui/add_conversation/add_conference_dialog.vala
    src/ui/add_conversation/add_contact_dialog.vala
    src/ui/add_conversation/add_groupchat_dialog.vala
    src/ui/add_conversation/conference_details_fragment.vala
    src/ui/add_conversation/conference_list.vala
    src/ui/add_conversation/list_row.vala
    src/ui/add_conversation/roster_list.vala
    src/ui/add_conversation/select_contact_dialog.vala
    src/ui/add_conversation/select_jid_fragment.vala

    src/ui/call_window/audio_settings_popover.vala
    src/ui/call_window/call_bottom_bar.vala
    src/ui/call_window/call_connection_details_window.vala
    src/ui/call_window/call_encryption_button.vala
    src/ui/call_window/call_window.vala
    src/ui/call_window/call_window_controller.vala
    src/ui/call_window/participant_widget.vala
    src/ui/call_window/video_settings_popover.vala

    src/ui/conversation_content_view/call_widget.vala
    src/ui/conversation_content_view/chat_state_populator.vala
    src/ui/conversation_content_view/content_populator.vala
    src/ui/conversation_content_view/conversation_item_skeleton.vala
    src/ui/conversation_content_view/conversation_view.vala
    src/ui/conversation_content_view/date_separator_populator.vala
    src/ui/conversation_content_view/file_default_widget.vala
    src/ui/conversation_content_view/file_image_widget.vala
    src/ui/conversation_content_view/file_widget.vala
    src/ui/conversation_content_view/item_actions.vala
    src/ui/conversation_content_view/message_widget.vala
    src/ui/conversation_content_view/quote_widget.vala
    src/ui/conversation_content_view/reactions_widget.vala
    src/ui/conversation_content_view/subscription_notification.vala

    src/ui/chat_input/chat_input_controller.vala
    src/ui/chat_input/chat_text_view.vala
    src/ui/chat_input/encryption_button.vala
    src/ui/chat_input/occupants_tab_completer.vala
    src/ui/chat_input/smiley_converter.vala
    src/ui/chat_input/view.vala

    src/ui/contact_details/blocking_provider.vala
    src/ui/contact_details/settings_provider.vala
    src/ui/contact_details/permissions_provider.vala
    src/ui/contact_details/dialog.vala
    src/ui/contact_details/muc_config_form_provider.vala

    src/ui/conversation_selector/conversation_selector.vala
    src/ui/conversation_selector/conversation_selector_row.vala

    src/ui/conversation_titlebar/call_entry.vala
    src/ui/conversation_titlebar/menu_entry.vala
    src/ui/conversation_titlebar/occupants_entry.vala
    src/ui/conversation_titlebar/search_entry.vala
    src/ui/conversation_titlebar/conversation_titlebar.vala

    src/ui/manage_accounts/account_row.vala
    src/ui/manage_accounts/add_account_dialog.vala
    src/ui/manage_accounts/dialog.vala

    src/ui/occupant_menu/list.vala
    src/ui/occupant_menu/list_row.vala
    src/ui/occupant_menu/view.vala

    src/ui/util/accounts_combo_box.vala
    src/ui/util/config.vala
    src/ui/util/data_forms.vala
    src/ui/util/helper.vala
    src/ui/util/label_hybrid.vala
    src/ui/util/sizing_bin.vala
    src/ui/util/size_request_box.vala

    src/ui/widgets/date_separator.vala
    src/ui/widgets/fixed_ratio_picture.vala
    src/ui/widgets/natural_size_increase.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino_internal.vapi
PACKAGES
    ${MAIN_PACKAGES}
    ${MAIN_EXTRA_PACKAGES}
GRESOURCES
    ${MAIN_GRESOURCES_XML}
DEFINITIONS
    ${MAIN_DEFINITIONS}
OPTIONS
    ${MAIN_EXTRA_OPTIONS}
)

add_definitions(${VALA_CFLAGS} -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\" -DG_LOG_DOMAIN="dino")
add_executable(dino ${MAIN_VALA_C} ${MAIN_GRESOURCES_TARGET})
add_dependencies(dino ${GETTEXT_PACKAGE}-translations)
target_include_directories(dino PRIVATE src)
target_link_libraries(dino libdino ${MAIN_PACKAGES})

if(WIN32)
    target_link_libraries(dino -mwindows)
endif(WIN32)

install(TARGETS dino ${TARGET_INSTALL})
install(FILES data/im.dino.Dino.appdata.xml DESTINATION ${APPDATA_FILE_INSTALL_DIR})
install(FILES data/im.dino.Dino.desktop DESTINATION ${DESKTOP_FILE_INSTALL_DIR})
install(FILES data/im.dino.Dino.service DESTINATION ${SERVICE_FILE_INSTALL_DIR})
install(FILES data/icons/scalable/apps/im.dino.Dino.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/scalable/apps)
install(FILES data/icons/scalable/apps/im.dino.Dino-symbolic.svg DESTINATION ${ICON_INSTALL_DIR}/hicolor/symbolic/apps)

=== plugins/http-files/CMakeLists.txt ===
include(SoupVersion)
find_packages(HTTP_FILES_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK4
    ${Soup}
)

set(HTTP_FILES_DEFINITIONS)

if(${Soup}_VERSION VERSION_GREATER_EQUAL "3.0")
   set(HTTP_FILES_DEFINITIONS ${HTTP_FILES_DEFINITIONS} SOUP_3_0)
endif()

vala_precompile(HTTP_FILES_VALA_C
SOURCES
    src/file_provider.vala
    src/file_sender.vala
    src/plugin.vala
    src/register_plugin.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
PACKAGES
    ${HTTP_FILES_PACKAGES}
DEFINITIONS
    ${HTTP_FILES_DEFINITIONS}
)

add_definitions(${VALA_CFLAGS})
add_library(http-files SHARED ${HTTP_FILES_VALA_C})
target_link_libraries(http-files libdino ${HTTP_FILES_PACKAGES})
set_target_properties(http-files PROPERTIES PREFIX "")
set_target_properties(http-files PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS http-files ${PLUGIN_INSTALL})

=== plugins/ice/CMakeLists.txt ===
find_package(Nice 0.1.15 REQUIRED)
find_package(GnuTLS REQUIRED)
find_packages(ICE_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GIO
    GDKPixbuf2
)

vala_precompile(ICE_VALA_C
SOURCES
    src/dtls_srtp.vala
    src/module.vala
    src/plugin.vala
    src/transport_parameters.vala
    src/util.vala
    src/register_plugin.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/crypto-vala.vapi
    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/nice.vapi
    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/gnutls.vapi
PACKAGES
    ${ICE_PACKAGES}
)

add_definitions(${VALA_CFLAGS} -DG_LOG_DOMAIN="ice")
add_library(ice SHARED ${ICE_VALA_C})
target_link_libraries(ice libdino crypto-vala ${ICE_PACKAGES} nice gnutls)
set_target_properties(ice PROPERTIES PREFIX "")
set_target_properties(ice PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS ice ${PLUGIN_INSTALL})

=== plugins/openpgp/CMakeLists.txt ===
set(GETTEXT_PACKAGE "dino-openpgp")
find_package(Gettext)
include(${GETTEXT_USE_FILE})
gettext_compile(${GETTEXT_PACKAGE} SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/po TARGET_NAME ${GETTEXT_PACKAGE}-translations)


find_packages(OPENPGP_PACKAGES REQUIRED
    Gee
    GLib
    GModule
    GObject
    GTK4
)

set(RESOURCE_LIST
    account_settings_item.ui
)

compile_gresources(
    OPENPGP_GRESOURCES_TARGET
    OPENPGP_GRESOURCES_XML
    TARGET ${CMAKE_CURRENT_BINARY_DIR}/resources/resources.c
    TYPE EMBED_C
    RESOURCES ${RESOURCE_LIST}
    PREFIX /im/dino/Dino/openpgp
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/data
)

vala_precompile(OPENPGP_VALA_C
SOURCES
    src/file_transfer/file_decryptor.vala
    src/file_transfer/file_encryptor.vala

    src/account_settings_entry.vala
    src/contact_details_provider.vala
    src/database.vala
    src/encryption_list_entry.vala
    src/manager.vala
    src/plugin.vala
    src/register_plugin.vala
    src/stream_flag.vala
    src/stream_module.vala
    src/util.vala
CUSTOM_VAPIS
    ${CMAKE_BINARY_DIR}/exports/gpgme.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
PACKAGES
    ${OPENPGP_PACKAGES}
GRESOURCES
    ${OPENPGP_GRESOURCES_XML}
)

add_definitions(${VALA_CFLAGS} -DG_LOG_DOMAIN="OpenPGP" -DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\" -DLOCALE_INSTALL_DIR=\"${LOCALE_INSTALL_DIR}\")
add_library(openpgp SHARED ${OPENPGP_VALA_C} ${OPENPGP_GRESOURCES_TARGET})
add_dependencies(openpgp ${GETTEXT_PACKAGE}-translations)
target_link_libraries(openpgp libdino gpgme-vala ${OPENPGP_PACKAGES})
set_target_properties(openpgp PROPERTIES PREFIX "")
set_target_properties(openpgp PROPERTIES LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/plugins/)

install(TARGETS openpgp ${PLUGIN_INSTALL})

=== debian/changelog ===
dino-im (0.4.2-1) unstable; urgency=medium

  * Maintenance release with fix for CVE-2023-28686 and bug fixes
    (Closes: #1033370)

 -- Martin <debacle@debian.org>  Fri, 24 Mar 2023 19:27:29 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	cmake,
 	dh-exec,
 	gettext,
+	libadwaita-1-dev,
 	libgcrypt20-dev,
 	libgee-0.8-dev,
 	libglib2.0-dev,
@@ -16,6 +17,7 @@
 	libgstreamer-plugins-base1.0-dev,
 	libgstreamer1.0-dev,
 	libgtk-4-dev,
+	libicu-dev,
 	libnice-dev,
 	libnotify-dev,
 	libqrencode-dev,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	SHARED_SIGNAL_PROTOCOL=1 dh_auto_configure -- \
	    -DBIN_INSTALL_DIR=/usr/bin \
	    -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/dino-im \
	    -DUSE_SOUP3=yes \
	    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

override_dh_auto_test:

## dino-im 0.4.2+git20230324.b75b606

=== debian/changelog ===
dino-im (0.4.2+git20230324.b75b606-1) experimental; urgency=medium

  * Upstream snapshot
  * Includes fix for CVE-2023-28686 (Closes: #1033370)

 -- Martin <debacle@debian.org>  Sat, 25 Mar 2023 09:55:40 +0000

dino-im (0.4.1+git20230307.47a0669-1) experimental; urgency=medium

  * Upstream snapshot

 -- Martin <debacle@debian.org>  Sun, 12 Mar 2023 23:16:53 +0000

## dino-im 0.4.2+git20230501.0bddf9f

=== meson_options.txt ===
option('plugindir', type: 'string', value: 'lib/dino/plugins', description: 'Plugin directory for Dino plugins')

=== libdino/CMakeLists.txt ===
find_packages(LIBDINO_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GLib
    GModule
    GObject
)

vala_precompile(LIBDINO_VALA_C
SOURCES
    src/application.vala
    src/version.vala

    src/dbus/login1.vala
    src/dbus/notifications.vala
    src/dbus/upower.vala

    src/entity/account.vala
    src/entity/call.vala
    src/entity/conversation.vala
    src/entity/encryption.vala
    src/entity/file_transfer.vala
    src/entity/message.vala
    src/entity/settings.vala

    src/plugin/interfaces.vala
    src/plugin/loader.vala
    src/plugin/registry.vala

    src/service/avatar_manager.vala
    src/service/blocking_manager.vala
    src/service/call_store.vala
    src/service/call_state.vala
    src/service/call_peer_state.vala
    src/service/calls.vala
    src/service/chat_interaction.vala
    src/service/connection_manager.vala
    src/service/content_item_store.vala
    src/service/conversation_manager.vala
    src/service/counterpart_interaction_manager.vala
    src/service/database.vala
    src/service/entity_capabilities_storage.vala
    src/service/entity_info.vala
    src/service/fallback_body.vala
    src/service/file_manager.vala
    src/service/file_transfer_storage.vala
    src/service/history_sync.vala
    src/service/jingle_file_transfers.vala
    src/service/message_correction.vala
    src/service/message_processor.vala
    src/service/message_storage.vala
    src/service/module_manager.vala
    src/service/muc_manager.vala
    src/service/notification_events.vala
    src/service/presence_manager.vala
    src/service/replies.vala
    src/service/reactions.vala
    src/service/registration.vala
    src/service/roster_manager.vala
    src/service/search_processor.vala
    src/service/stream_interactor.vala
    src/service/util.vala

    src/util/display_name.vala
    src/util/util.vala
    src/util/weak_map.vala
CUSTOM_VAPIS
    "${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi"
    "${CMAKE_BINARY_DIR}/exports/qlite.vapi"
CUSTOM_DEPS
    xmpp-vala
    qlite
PACKAGES
    ${LIBDINO_PACKAGES}
GENERATE_VAPI
    dino
GENERATE_HEADER
    dino
)

add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
COMMAND
    cp "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h" "${CMAKE_BINARY_DIR}/exports/dino_i18n.h"
DEPENDS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/dino_i18n.h"
COMMENT
    Copy header file dino_i18n.h
)

add_custom_target(dino-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/dino.vapi
    ${CMAKE_BINARY_DIR}/exports/dino.deps
    ${CMAKE_BINARY_DIR}/exports/dino_i18n.h
)

add_definitions(${VALA_CFLAGS} -DDINO_SYSTEM_PLUGIN_DIR="${PLUGIN_INSTALL_DIR}" -DDINO_SYSTEM_LIBDIR_NAME="${LIBDIR_NAME}" -DG_LOG_DOMAIN="libdino" -DDINO_VERSION=\"${PROJECT_VERSION}\")
add_library(libdino SHARED ${LIBDINO_VALA_C} ${CMAKE_BINARY_DIR}/exports/dino_i18n.h)
add_dependencies(libdino dino-vapi)
target_link_libraries(libdino xmpp-vala qlite ${LIBDINO_PACKAGES} m)
set_target_properties(libdino PROPERTIES PREFIX "" VERSION 0.0 SOVERSION 0)

install(TARGETS libdino ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.vapi ${CMAKE_BINARY_DIR}/exports/dino.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/dino.h ${CMAKE_BINARY_DIR}/exports/dino_i18n.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(BUILD_TESTS)
    vala_precompile(LIBDINO_TEST_VALA_C
    SOURCES
        "tests/weak_map.vala"
        "tests/testcase.vala"
        "tests/common.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/dino_internal.vapi
        ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
        ${CMAKE_BINARY_DIR}/exports/qlite.vapi
    PACKAGES
        ${LIBDINO_PACKAGES}
    OPTIONS
        ${LIBDINO_EXTRA_OPTIONS}
    )

    add_definitions(${VALA_CFLAGS})
    add_executable(libdino-test ${LIBDINO_TEST_VALA_C})
    target_link_libraries(libdino-test libdino)
endif(BUILD_TESTS)

=== main/CMakeLists.txt ===
--- 
+++ 
@@ -124,8 +124,6 @@
     src/main.vala
 
     src/ui/application.vala
-    src/ui/avatar_drawer.vala
-    src/ui/avatar_image.vala
     src/ui/conversation_list_titlebar.vala
     src/ui/conversation_view.vala
     src/ui/conversation_view_controller.vala
@@ -209,6 +207,7 @@
     src/ui/util/sizing_bin.vala
     src/ui/util/size_request_box.vala
 
+    src/ui/widgets/avatar_picture.vala
     src/ui/widgets/date_separator.vala
     src/ui/widgets/fixed_ratio_picture.vala
     src/ui/widgets/natural_size_increase.vala
@@ -232,6 +231,7 @@
 add_dependencies(dino ${GETTEXT_PACKAGE}-translations)
 target_include_directories(dino PRIVATE src)
 target_link_libraries(dino libdino ${MAIN_PACKAGES})
+set_target_properties(dino PROPERTIES ENABLE_EXPORTS TRUE)
 
 if(WIN32)
     target_link_libraries(dino -mwindows)

=== xmpp-vala/CMakeLists.txt ===
find_packages(ENGINE_PACKAGES REQUIRED
    GDKPixbuf2
    Gee
    GIO
    GLib
    GObject
    ICU
)

set(ENGINE_EXTRA_OPTIONS ${MAIN_EXTRA_OPTIONS} --vapidir=${CMAKE_CURRENT_SOURCE_DIR}/vapi)

vala_precompile(ENGINE_VALA_C
SOURCES
    "src/core/direct_tls_xmpp_stream.vala"
    "src/core/io_xmpp_stream.vala"
    "src/core/module_flag.vala"
    "src/core/starttls_xmpp_stream.vala"
    "src/core/stream_connect.vala"
    "src/core/tls_xmpp_stream.vala"
    "src/core/xmpp_stream.vala"

    "src/core/namespace_state.vala"
    "src/core/stanza_attribute.vala"
    "src/core/stanza_node.vala"
    "src/core/stanza_reader.vala"
    "src/core/stanza_writer.vala"
    "src/core/xmpp_log.vala"

    "src/module/bind.vala"
    "src/module/bookmarks_provider.vala"
    "src/module/conference.vala"
    "src/module/iq/module.vala"
    "src/module/iq/stanza.vala"
    "src/module/jid.vala"
    "src/module/message/module.vala"
    "src/module/message/stanza.vala"
    "src/module/presence/flag.vala"
    "src/module/presence/module.vala"
    "src/module/presence/stanza.vala"
    "src/module/roster/flag.vala"
    "src/module/roster/item.vala"
    "src/module/roster/module.vala"
    "src/module/roster/versioning_module.vala"
    "src/module/sasl.vala"
    "src/module/session.vala"
    "src/module/stanza.vala"
    "src/module/stanza_error.vala"
    "src/module/stream_error.vala"
    "src/module/util.vala"

    "src/module/xep/0048_bookmarks.vala"
    "src/module/xep/0048_conference.vala"
    "src/module/xep/0402_bookmarks2.vala"
    "src/module/xep/0004_data_forms.vala"

    "src/module/xep/0030_service_discovery/flag.vala"
    "src/module/xep/0030_service_discovery/identity.vala"
    "src/module/xep/0030_service_discovery/info_result.vala"
    "src/module/xep/0030_service_discovery/item.vala"
    "src/module/xep/0030_service_discovery/items_result.vala"
    "src/module/xep/0030_service_discovery/module.vala"

    "src/module/xep/0045_muc/flag.vala"
    "src/module/xep/0045_muc/module.vala"
    "src/module/xep/0045_muc/status_code.vala"

    "src/module/xep/0047_in_band_bytestreams.vala"
    "src/module/xep/0049_private_xml_storage.vala"
    "src/module/xep/0059_result_set_management.vala"
    "src/module/xep/0054_vcard/module.vala"
    "src/module/xep/0060_pubsub.vala"
    "src/module/xep/0065_socks5_bytestreams.vala"
    "src/module/xep/0066_out_of_band_data.vala"
    "src/module/xep/0077_in_band_registration.vala"
    "src/module/xep/0082_date_time_profiles.vala"
    "src/module/xep/0084_user_avatars.vala"
    "src/module/xep/0085_chat_state_notifications.vala"
    "src/module/xep/0115_entity_capabilities.vala"

    "src/module/xep/0166_jingle/content.vala"
    "src/module/xep/0166_jingle/content_description.vala"
    "src/module/xep/0166_jingle/content_node.vala"
    "src/module/xep/0166_jingle/content_security.vala"
    "src/module/xep/0166_jingle/content_transport.vala"
    "src/module/xep/0166_jingle/component.vala"
    "src/module/xep/0166_jingle/jingle_flag.vala"
    "src/module/xep/0166_jingle/jingle_module.vala"
    "src/module/xep/0166_jingle/jingle_structs.vala"
    "src/module/xep/0166_jingle/reason_element.vala"
    "src/module/xep/0166_jingle/session.vala"
    "src/module/xep/0166_jingle/session_info.vala"

    "src/module/xep/0167_jingle_rtp/content_parameters.vala"
    "src/module/xep/0167_jingle_rtp/content_type.vala"
    "src/module/xep/0167_jingle_rtp/jingle_rtp_module.vala"
    "src/module/xep/0167_jingle_rtp/payload_type.vala"
    "src/module/xep/0167_jingle_rtp/session_info_type.vala"
    "src/module/xep/0167_jingle_rtp/stream.vala"

    "src/module/xep/0176_jingle_ice_udp/candidate.vala"
    "src/module/xep/0176_jingle_ice_udp/jingle_ice_udp_module.vala"
    "src/module/xep/0176_jingle_ice_udp/transport_parameters.vala"

    "src/module/xep/0177_jingle_raw_udp.vala"

    "src/module/xep/0384_omemo/omemo_encryptor.vala"
    "src/module/xep/0384_omemo/omemo_decryptor.vala"

    "src/module/xep/0392_consistent_color/consistent_color.vala"
    "src/module/xep/0392_consistent_color/hsluv.vala"

    "src/module/xep/0184_message_delivery_receipts.vala"
    "src/module/xep/0191_blocking_command.vala"
    "src/module/xep/0198_stream_management.vala"
    "src/module/xep/0199_ping.vala"
    "src/module/xep/0203_delayed_delivery.vala"
    "src/module/xep/0215_external_service_discovery.vala"
    "src/module/xep/0234_jingle_file_transfer.vala"
    "src/module/xep/0249_direct_muc_invitations.vala"
    "src/module/xep/0260_jingle_socks5_bytestreams.vala"
    "src/module/xep/0261_jingle_in_band_bytestreams.vala"
    "src/module/xep/0272_muji.vala"
    "src/module/xep/0280_message_carbons.vala"
    "src/module/xep/0297_stanza_forwarding.vala"
    "src/module/xep/0298_coin.vala"
    "src/module/xep/0308_last_message_correction.vala"
    "src/module/xep/0313_message_archive_management.vala"
    "src/module/xep/0313_2_message_archive_management.vala"
    "src/module/xep/0333_chat_markers.vala"
    "src/module/xep/0334_message_processing_hints.vala"
    "src/module/xep/0353_jingle_message_initiation.vala"
    "src/module/xep/0353_call_invite_message.vala"
    "src/module/xep/0359_unique_stable_stanza_ids.vala"
    "src/module/xep/0363_http_file_upload.vala"
    "src/module/xep/0380_explicit_encryption.vala"
    "src/module/xep/0391_jingle_encrypted_transports.vala"
    "src/module/xep/0410_muc_self_ping.vala"
    "src/module/xep/0421_occupant_ids.vala"
    "src/module/xep/0428_fallback_indication.vala"
    "src/module/xep/0444_reactions.vala"
    "src/module/xep/0461_replies.vala"
    "src/module/xep/pixbuf_storage.vala"

    "src/util.vala"
PACKAGES
    ${ENGINE_PACKAGES}
GENERATE_VAPI
    xmpp-vala
GENERATE_HEADER
    xmpp-vala
CUSTOM_VAPIS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/glib_fixes.vapi"
OPTIONS
    ${ENGINE_EXTRA_OPTIONS}
)

add_custom_target(xmpp-vala-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi
    ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps
)

add_definitions(${VALA_CFLAGS} -DG_LOG_DOMAIN="xmpp-vala")
add_library(xmpp-vala SHARED ${ENGINE_VALA_C})
add_dependencies(xmpp-vala xmpp-vala-vapi)
target_link_libraries(xmpp-vala ${ENGINE_PACKAGES} m)
set_target_properties(xmpp-vala PROPERTIES VERSION 0.1 SOVERSION 0)

install(TARGETS xmpp-vala ${TARGET_INSTALL})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.vapi ${CMAKE_BINARY_DIR}/exports/xmpp-vala.deps DESTINATION ${VAPI_INSTALL_DIR})
install(FILES ${CMAKE_BINARY_DIR}/exports/xmpp-vala.h DESTINATION ${INCLUDE_INSTALL_DIR})

if(BUILD_TESTS)
    vala_precompile(ENGINE_TEST_VALA_C
    SOURCES
        "tests/common.vala"
        "tests/testcase.vala"

        "tests/jid.vala"
        "tests/stanza.vala"
        "tests/color.vala"
        "tests/util.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/xmpp-vala_internal.vapi
    PACKAGES
        ${ENGINE_PACKAGES}
    OPTIONS
        ${ENGINE_EXTRA_OPTIONS}
    )

    add_definitions(${VALA_CFLAGS})
    add_executable(xmpp-vala-test ${ENGINE_TEST_VALA_C})
    target_link_libraries(xmpp-vala-test xmpp-vala ${SIGNAL_PROTOCOL_PACKAGES})
endif(BUILD_TESTS)

=== plugins/signal-protocol/CMakeLists.txt ===
find_package(GCrypt REQUIRED)
find_packages(SIGNAL_PROTOCOL_PACKAGES REQUIRED
    Gee
    GLib
    GObject
)

vala_precompile(SIGNAL_PROTOCOL_VALA_C
SOURCES
    "src/context.vala"
    "src/simple_iks.vala"
    "src/simple_ss.vala"
    "src/simple_pks.vala"
    "src/simple_spks.vala"
    "src/store.vala"
    "src/util.vala"
CUSTOM_VAPIS
    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-public.vapi
    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-native.vapi
PACKAGES
    ${SIGNAL_PROTOCOL_PACKAGES}
GENERATE_VAPI
    signal-protocol-vala
GENERATE_HEADER
    signal-protocol-vala
)

set(C_HEADERS_SRC "")
set(C_HEADERS_TARGET "")

# libsignal-protocol-c has a history of breaking compatibility on the patch level
# we'll have to check compatibility for every new release
# distro maintainers may update this dependency after compatibility tests
find_package(SignalProtocol 2.3.2 REQUIRED)

list(APPEND C_HEADERS_SRC "${CMAKE_CURRENT_SOURCE_DIR}/src/signal_helper.h")
list(APPEND C_HEADERS_TARGET "${CMAKE_BINARY_DIR}/exports/signal_helper.h")

add_custom_command(OUTPUT "${CMAKE_BINARY_DIR}/exports/signal_helper.h"
COMMAND
    cp "${CMAKE_CURRENT_SOURCE_DIR}/src/signal_helper.h" "${CMAKE_BINARY_DIR}/exports/signal_helper.h"
DEPENDS
    "${CMAKE_CURRENT_SOURCE_DIR}/src/signal_helper.h"
COMMENT
    Copy header file signal_helper.h
)

add_custom_command(OUTPUT ${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi
COMMAND
    cat "${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-public.vapi" "${CMAKE_BINARY_DIR}/exports/signal-protocol-vala.vapi" > "${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi"
DEPENDS
    ${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-public.vapi
    ${CMAKE_BINARY_DIR}/exports/signal-protocol-vala.vapi
)

add_custom_target(signal-protocol-vapi
DEPENDS
    ${CMAKE_BINARY_DIR}/exports/signal-protocol.vapi
    ${CMAKE_BINARY_DIR}/exports/signal-protocol-vala.h
    ${C_HEADERS_TARGET}
)

set(CFLAGS ${VALA_CFLAGS} -I${CMAKE_CURRENT_SOURCE_DIR}/libsignal-protocol-c/src -I${CMAKE_CURRENT_SOURCE_DIR}/src)
add_definitions(${CFLAGS})
add_library(signal-protocol-vala STATIC ${SIGNAL_PROTOCOL_VALA_C} ${CMAKE_CURRENT_SOURCE_DIR}/src/signal_helper.c)
add_dependencies(signal-protocol-vala signal-protocol-vapi)
target_link_libraries(signal-protocol-vala ${SIGNAL_PROTOCOL_PACKAGES} gcrypt signal-protocol-c m)
set_property(TARGET signal-protocol-vala PROPERTY POSITION_INDEPENDENT_CODE ON)

if(BUILD_TESTS)
    vala_precompile(SIGNAL_TEST_VALA_C
    SOURCES
        "tests/common.vala"
        "tests/testcase.vala"

        "tests/curve25519.vala"
        "tests/hkdf.vala"
        "tests/session_builder.vala"
    CUSTOM_VAPIS
        ${CMAKE_BINARY_DIR}/exports/signal-protocol-vala_internal.vapi
        ${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-public.vapi
        ${CMAKE_CURRENT_SOURCE_DIR}/vapi/signal-protocol-native.vapi
    PACKAGES
        ${SIGNAL_PROTOCOL_PACKAGES}
    )

    set(CFLAGS ${VALA_CFLAGS} -I${CMAKE_CURRENT_BINARY_DIR}/signal-protocol)
    add_executable(signal-protocol-vala-test ${SIGNAL_TEST_VALA_C})
    add_dependencies(signal-protocol-vala-test signal-protocol-vala)
    target_link_libraries(signal-protocol-vala-test signal-protocol-vala ${SIGNAL_PROTOCOL_PACKAGES})
endif(BUILD_TESTS)

=== debian/changelog ===
dino-im (0.4.2+git20230501.0bddf9f-1) experimental; urgency=medium

  * Upstream snapshot
  [ John Scott ]
  * Switch the Homepage to dino.im

 -- Martin <debacle@debian.org>  Fri, 05 May 2023 00:03:13 +0000
